%define tarball xf86-video-ast
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

# NOTE: No DRI support available.
%ifarch %{ix86} x86_64
%define with_dri        0
%else
%define with_dri        0
%endif

Summary:   Xorg X11 ast video driver
Name:      xorg-x11-drv-ast
Version:   0.89.9
Release:   1%{?dist}
URL:       http://www.x.org
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   ast.xinf

ExclusiveArch: %{ix86} x86_64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.1.0-2
%if %{with_dri}
BuildRequires: mesa-libGL-devel >= 6.4-4
BuildRequires: libdrm-devel >= 2.0-1
%endif

Requires:  xorg-x11-server-Xorg >= 1.1.0-1

%description 
X.Org X11 ast video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static --disable-dri
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/ast_drv.so
%{_datadir}/hwdata/videoaliases/ast.xinf
#%dir %{_mandir}/man4x
# NOTE: No manpage available yet.
#%{_mandir}/man4/ast.4*

%changelog
* Wed Nov 11 2009 Adam Jackson <ajax@redhat.com> 0.89.9-1
- Rebase (#488274)
- update ast.xinf to match

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.81.0-3
- rebuild

* Sat Jun 17 2006 Mike A. Harris <mharris@redhat.com> 0.81.0-2
- Update ast.xinf with PCI ID list from driver.

* Sat Jun 17 2006 Mike A. Harris <mharris@redhat.com> 0.81.0-1
- Initial spec file for ast cloned from mga video driver spec version 1.4.1-3
